## libbpp-popgen 2.0.2

=== CMakeLists.txt ===
# CMake script for Bio++ PopGenLib
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 21/08/2009

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(bpp-popgen CXX)
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow")
IF(NOT NO_VIRTUAL_COV)
  SET(NO_VIRTUAL_COV FALSE CACHE BOOL
      "Disable covariant return type with virtual inheritance, for compilers that do not support it."
      FORCE)
ENDIF(NOT NO_VIRTUAL_COV)

IF(NO_VIRTUAL_COV)
  MESSAGE("-- Covariant return with virtual inheritance disabled.")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNO_VIRTUAL_COV=1")
ENDIF(NO_VIRTUAL_COV)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(BPPPOPGEN_VERSION_CURRENT "6")
SET(BPPPOPGEN_VERSION_REVISION "1")
SET(BPPPOPGEN_VERSION_AGE "0")

# Effective version number computation
MATH(EXPR BPPPOPGEN_VERSION_MAJOR "${BPPPOPGEN_VERSION_CURRENT} - ${BPPPOPGEN_VERSION_AGE}")
SET(BPPPOPGEN_VERSION_MINOR ${BPPPOPGEN_VERSION_AGE})
SET(BPPPOPGEN_VERSION_PATCH ${BPPPOPGEN_VERSION_REVISION})
SET(BPPPOPGEN_VERSION "${BPPPOPGEN_VERSION_MAJOR}.${BPPPOPGEN_VERSION_MINOR}.${BPPPOPGEN_VERSION_PATCH}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

#here is a useful function:
MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find})
  SET(${lib_name}_NAMES ${lib_name} ${lib_name}lib ${lib_name}dll)
  FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})

  IF(${lib_name}_LIBRARY)
    MESSAGE("-- Library ${lib_name} found here:")
    MESSAGE("   includes : ${${lib_name}_INCLUDE_DIR}")
    MESSAGE("   libraries: ${${lib_name}_LIBRARY}")
  ELSE(${lib_name}_LIBRARY)
    MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
  ENDIF(${lib_name}_LIBRARY)
  
  #add the dependency:
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})
  SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
ENDMACRO(IMPROVED_FIND_LIBRARY)

#Find the Bio++ libraries:
IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)

# Subdirectories
ADD_SUBDIRECTORY(src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc ${DOXYGEN_EXECUTABLE} Doxyfile)
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile-stable )
ENDIF (DOXYGEN_FOUND)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-popgen")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.0.2")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "0")
SET(CPACK_PACKAGE_VERSION_PATCH "2")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.cmake"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.sh"
 ".*\\\\..*\\\\.swp"
 "src/\\\\..*"
 "src/libbpp*"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "html"
 "PopGen.tag"
 "Testing"
 "build-stamp"
 "genIncludes.py"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)
IF (MACOS)
  SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)
#This creates deb packages:
ADD_CUSTOM_TARGET(origdist COMMAND cp ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz ../${CPACK_DEBSOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(origdist dist)
ADD_CUSTOM_TARGET(deb dpkg-buildpackage -uc -us -i${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(deb origdist)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist)

ENDIF()
ENDIF(NOT NO_DEP_CHECK)

=== debian/control ===
Source: libbpp-popgen
Section: libs
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-core-dev (>= 2.0.1), libbpp-seq-dev (>= 2.0.1)
Standards-Version: 3.9.1

Package: libbpp-popgen-dev
Section: libdevel
Architecture: any
Depends: libbpp-popgen6 (= ${binary:Version}), ${misc:Depends},
  libbpp-core-dev (>= 2.0.1), libbpp-seq-dev (>= 2.0.1)
Description: The Bio++ Population Genetics library development files.
 Contains the Bio++ classes for population genetics.

Package: libbpp-popgen6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-core2 (>= 2.0.1), libbpp-seq9 (>= 2.0.1)
Description: The Bio++ Population Genetics library.
 Contains the Bio++ classes for population genetics.

## libbpp-popgen 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
 SET(BPPPOPGEN_VERSION_CURRENT "6")
-SET(BPPPOPGEN_VERSION_REVISION "1")
+SET(BPPPOPGEN_VERSION_REVISION "2")
 SET(BPPPOPGEN_VERSION_AGE "0")
 
 # Effective version number computation
@@ -98,10 +98,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-popgen")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.0.2")
+SET(CPACK_PACKAGE_VERSION "2.0.3")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "0")
-SET(CPACK_PACKAGE_VERSION_PATCH "2")
+SET(CPACK_PACKAGE_VERSION_PATCH "3")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")

=== src/CMakeLists.txt ===
# CMake script for Bio++ PopGen
# Author: Sylvain Gaillard
# Created: 21/08/2009

# File list
set(CPP_FILES
  Bpp/PopGen/AbstractIDataSet.cpp
  Bpp/PopGen/AbstractODataSet.cpp
  Bpp/PopGen/AnalyzedLoci.cpp
  Bpp/PopGen/AnalyzedSequences.cpp
  Bpp/PopGen/BasicAlleleInfo.cpp
  Bpp/PopGen/BiAlleleMonolocusGenotype.cpp
  Bpp/PopGen/DarwinDon.cpp
  Bpp/PopGen/DarwinVarSingle.cpp
  Bpp/PopGen/DataSet.cpp
  Bpp/PopGen/DataSetTools.cpp
  Bpp/PopGen/Date.cpp
  Bpp/PopGen/GeneMapperCsvExport.cpp
  Bpp/PopGen/Genepop.cpp
  Bpp/PopGen/GeneralExceptions.cpp
  Bpp/PopGen/Genetix.cpp
  Bpp/PopGen/Group.cpp
  Bpp/PopGen/Individual.cpp
  Bpp/PopGen/LocusInfo.cpp
  Bpp/PopGen/MonoAlleleMonolocusGenotype.cpp
  Bpp/PopGen/MonolocusGenotypeTools.cpp
  Bpp/PopGen/MultiAlleleMonolocusGenotype.cpp
  Bpp/PopGen/MultiSeqIndividual.cpp
  Bpp/PopGen/MultilocusGenotype.cpp
  Bpp/PopGen/MultilocusGenotypeStatistics.cpp
  Bpp/PopGen/PolymorphismMultiGContainer.cpp
  Bpp/PopGen/PolymorphismMultiGContainerTools.cpp
  Bpp/PopGen/PolymorphismSequenceContainer.cpp
  Bpp/PopGen/PolymorphismSequenceContainerTools.cpp
  Bpp/PopGen/PopgenlibIO.cpp
  Bpp/PopGen/SequenceStatistics.cpp
  )
set(H_FILES
  Bpp/PopGen/AbstractIDataSet.h
  Bpp/PopGen/AbstractODataSet.h
  Bpp/PopGen/AlleleInfo.h
  Bpp/PopGen/AnalyzedLoci.h
  Bpp/PopGen/AnalyzedSequences.h
  Bpp/PopGen/BasicAlleleInfo.h
  Bpp/PopGen/BiAlleleMonolocusGenotype.h
  Bpp/PopGen/DarwinDon.h
  Bpp/PopGen/DarwinVarSingle.h
  Bpp/PopGen/DataSet.h
  Bpp/PopGen/DataSetTools.h
  Bpp/PopGen/Date.h
  Bpp/PopGen/GeneMapperCsvExport.h
  Bpp/PopGen/Genepop.h
  Bpp/PopGen/GeneralExceptions.h
  Bpp/PopGen/Genetix.h
  Bpp/PopGen/Group.h
  Bpp/PopGen/IDataSet.h
  Bpp/PopGen/IODataSet.h
  Bpp/PopGen/Individual.h
  Bpp/PopGen/Locality.h
  Bpp/PopGen/LocusInfo.h
  Bpp/PopGen/MonoAlleleMonolocusGenotype.h
  Bpp/PopGen/MonolocusGenotype.h
  Bpp/PopGen/MonolocusGenotypeTools.h
  Bpp/PopGen/MultiAlleleMonolocusGenotype.h
  Bpp/PopGen/MultiSeqIndividual.h
  Bpp/PopGen/MultilocusGenotype.h
  Bpp/PopGen/MultilocusGenotypeStatistics.h
  Bpp/PopGen/ODataSet.h
  Bpp/PopGen/PolymorphismMultiGContainer.h
  Bpp/PopGen/PolymorphismMultiGContainerTools.h
  Bpp/PopGen/PolymorphismSequenceContainer.h
  Bpp/PopGen/PolymorphismSequenceContainerTools.h
  Bpp/PopGen/PopgenlibIO.h
  Bpp/PopGen/SequenceStatistics.h
  )

# Build the static lib
add_library(bpppopgen-static STATIC ${CPP_FILES})
set_target_properties(bpppopgen-static
  PROPERTIES OUTPUT_NAME bpp-popgen
  CLEAN_DIRECT_OUTPUT 1
  )
target_link_libraries(bpppopgen-static ${LIBS})

# Build the shared lib
add_library(bpppopgen-shared SHARED ${CPP_FILES})
set_target_properties(bpppopgen-shared
  PROPERTIES OUTPUT_NAME bpp-popgen
  CLEAN_DIRECT_OUTPUT 1
  VERSION ${BPPPOPGEN_VERSION}
  SOVERSION ${BPPPOPGEN_VERSION_MAJOR}
  )
target_link_libraries(bpppopgen-shared ${LIBS})

# Install libs
install(TARGETS bpppopgen-static DESTINATION lib${LIB_SUFFIX})
install(TARGETS bpppopgen-shared DESTINATION lib${LIB_SUFFIX})

# Install headers
install(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h" PATTERN "*.all")

=== debian/changelog ===
libbpp-popgen (2.0.3-1) unstable; urgency=low

  * Recompilation because of dependencies.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2012 16:30:00 +0100

libbpp-popgen (2.0.2-1) unstable; urgency=low

  * RFP: Bio++ -- The Bio++ bioinformatics libraries. (Closes: #616373).
  * Packages are now non-native.
  * New Fst computation from Hudson, Slatkin and Maddison (Genetics, 1992).

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Jun 2011 11:00:00 +0100

libbpp-popgen (2.0.1) unstable; urgency=low

  * Fixed copyright issue in package.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 28 Feb 2011 09:00:00 +0100

libbpp-popgen (2.0.0) unstable; urgency=low

  * Update for version 2.0 of Bio++. Code reorganization.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 07 Feb 2011 09:00:00 +0100

libbpp-popgen (1.5.0) unstable; urgency=low

  * Update for version 1.9 of Bio++. Several interface improvements and bug fixed.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 25 Mar 2010 15:14:55 +0100

libbpp-popgen (1.4.0) unstable; urgency=low

  * Update for version 1.8 of Bio++.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 10 Jun 2009 11:28:58 +0100

libbpp-popgen (1.3.1) unstable; urgency=low

  * Bug fix release.

 -- Julien Dutheil <jdutheil@daimi.au.dk>  Thu, 11 Dec 2008 12:21:37 +0100
 

libbpp-popgen (1.3.0) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <jdutheil@daimi.au.dk>  Mon, 21 Jul 2008 15:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: any
 Depends: libbpp-popgen6 (= ${binary:Version}), ${misc:Depends},
   libbpp-core-dev (>= 2.0.1), libbpp-seq-dev (>= 2.0.1)
-Description: The Bio++ Population Genetics library development files.
+Description: Bio++ Population Genetics library development files.
  Contains the Bio++ classes for population genetics.
 
 Package: libbpp-popgen6
@@ -20,6 +20,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
   libbpp-core2 (>= 2.0.1), libbpp-seq9 (>= 2.0.1)
-Description: The Bio++ Population Genetics library.
+Description: Bio++ Population Genetics library.
  Contains the Bio++ classes for population genetics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# 24/01/10 Modification for use with CMake by Julien Dutheil.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions
version=`ls src/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr .

config.status: configure
	dh_testdir

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean;
	[ ! -f Makefile ] || rm Makefile;
	[ ! -f Makefile ] || rm src/Makefile;
	rm -f config.sub config.guess
	rm -f build-stamp
	rm -f CMakeCache.txt
	rm -f *.cmake
	rm -f src/*.cmake
	#rm -f test/*.cmake
	rm -rf CMakeFiles
	rm -rf src/CMakeFiles
	#rm -rf test/CMakeFiles
	rm -rf _CPack_Packages
	#rm -rf Testing
	#rm -f DartConfiguration.tcl

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libbpp-popgen 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
       FORCE)
 ENDIF(NOT CMAKE_BUILD_TYPE)
 
-SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow")
+SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
 IF(NOT NO_VIRTUAL_COV)
   SET(NO_VIRTUAL_COV FALSE CACHE BOOL
       "Disable covariant return type with virtual inheritance, for compilers that do not support it."
@@ -42,7 +42,7 @@
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
 SET(BPPPOPGEN_VERSION_CURRENT "6")
-SET(BPPPOPGEN_VERSION_REVISION "2")
+SET(BPPPOPGEN_VERSION_REVISION "3")
 SET(BPPPOPGEN_VERSION_AGE "0")
 
 # Effective version number computation
@@ -87,10 +87,15 @@
 # Doxygen
 FIND_PACKAGE(Doxygen)
 IF (DOXYGEN_FOUND)
-  ADD_CUSTOM_TARGET (apidoc ${DOXYGEN_EXECUTABLE} Doxyfile)
-  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile Doxyfile-stable
-    COMMAND echo "HTML_HEADER=header.html" >> Doxyfile-stable
-    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile-stable )
+  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
+    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
+    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 ENDIF (DOXYGEN_FOUND)
 
 ENDIF(NO_DEP_CHECK)
@@ -98,10 +103,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-popgen")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.0.3")
+SET(CPACK_PACKAGE_VERSION "2.1.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "0")
-SET(CPACK_PACKAGE_VERSION_PATCH "3")
+SET(CPACK_PACKAGE_VERSION_MINOR "1")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -133,7 +138,6 @@
  "PopGen.tag"
  "Testing"
  "build-stamp"
- "genIncludes.py"
  "install_manifest.txt"
  "DartConfiguration.tcl"
  ${CPACK_SOURCE_IGNORE_FILES}
@@ -148,6 +152,14 @@
 
 #This adds the 'dist' target
 ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
+IF("${CMAKE_GENERATOR}" MATCHES "Make")
+  ADD_CUSTOM_TARGET(make_clean
+  COMMAND ${CMAKE_MAKE_PROGRAM} clean
+  WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
+  )
+  ADD_DEPENDENCIES(dist make_clean)
+ENDIF()
 
 IF(NOT NO_DEP_CHECK)
 IF (UNIX)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Created: 21/08/2009
 
 # File list
-set(CPP_FILES
+SET(CPP_FILES
   Bpp/PopGen/AbstractIDataSet.cpp
   Bpp/PopGen/AbstractODataSet.cpp
   Bpp/PopGen/AnalyzedLoci.cpp
@@ -35,7 +35,7 @@
   Bpp/PopGen/PopgenlibIO.cpp
   Bpp/PopGen/SequenceStatistics.cpp
   )
-set(H_FILES
+SET(H_FILES
   Bpp/PopGen/AbstractIDataSet.h
   Bpp/PopGen/AbstractODataSet.h
   Bpp/PopGen/AlleleInfo.h
@@ -75,26 +75,30 @@
   )
 
 # Build the static lib
-add_library(bpppopgen-static STATIC ${CPP_FILES})
-set_target_properties(bpppopgen-static
+ADD_LIBRARY(bpppopgen-static STATIC ${CPP_FILES})
+SET_TARGET_PROPERTIES(bpppopgen-static
   PROPERTIES OUTPUT_NAME bpp-popgen
   CLEAN_DIRECT_OUTPUT 1
   )
-target_link_libraries(bpppopgen-static ${LIBS})
+TARGET_LINK_LIBRARIES(bpppopgen-static ${LIBS})
 
 # Build the shared lib
-add_library(bpppopgen-shared SHARED ${CPP_FILES})
-set_target_properties(bpppopgen-shared
+ADD_LIBRARY(bpppopgen-shared SHARED ${CPP_FILES})
+SET_TARGET_PROPERTIES(bpppopgen-shared
   PROPERTIES OUTPUT_NAME bpp-popgen
   CLEAN_DIRECT_OUTPUT 1
   VERSION ${BPPPOPGEN_VERSION}
   SOVERSION ${BPPPOPGEN_VERSION_MAJOR}
   )
-target_link_libraries(bpppopgen-shared ${LIBS})
+TARGET_LINK_LIBRARIES(bpppopgen-shared ${LIBS})
 
 # Install libs
-install(TARGETS bpppopgen-static DESTINATION lib${LIB_SUFFIX})
-install(TARGETS bpppopgen-shared DESTINATION lib${LIB_SUFFIX})
+INSTALL(TARGETS bpppopgen-static DESTINATION lib${LIB_SUFFIX})
+INSTALL(TARGETS bpppopgen-shared DESTINATION lib${LIB_SUFFIX})
 
 # Install headers
-install(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h" PATTERN "*.all")
+INSTALL(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h")
+
+# Generate generic include files (.all)
+INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_SOURCE_DIR}/genIncludes.sh ${CMAKE_PREFIX_PATH}/include/Bpp)")
+

=== debian/changelog ===
libbpp-popgen (2.1.0-1ubuntu2) wily; urgency=medium

  * Remove hardcoded dependencies.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 17:38:28 +0100

libbpp-popgen (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:42:10 +0000

libbpp-popgen (2.1.0-1) unstable; urgency=low

  * Bug fixed and warnings removed.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 07 Mar 2013 10:51:00 +0100

=== debian/control ===
Source: libbpp-popgen
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-core-dev (>= 2.1.0), libbpp-seq-dev (>= 2.1.0)
Standards-Version: 3.9.1

Package: libbpp-popgen-dev
Section: libdevel
Architecture: any
Depends: libbpp-popgen6v5 (= ${binary:Version}), ${misc:Depends},
  libbpp-core-dev (>= 2.1.0), libbpp-seq-dev (>= 2.1.0)
Description: Bio++ Population Genetics library development files.
 Contains the Bio++ classes for population genetics.

Package: libbpp-popgen6v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbpp-popgen6
Replaces: libbpp-popgen6
Description: Bio++ Population Genetics library.
 Contains the Bio++ classes for population genetics.

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) clean;
 	[ ! -f Makefile ] || rm Makefile;
-	[ ! -f Makefile ] || rm src/Makefile;
+	[ ! -f src/Makefile ] || rm src/Makefile;
 	rm -f config.sub config.guess
 	rm -f build-stamp
 	rm -f CMakeCache.txt

## libbpp-popgen 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
 SET(BPPPOPGEN_VERSION_CURRENT "6")
-SET(BPPPOPGEN_VERSION_REVISION "3")
+SET(BPPPOPGEN_VERSION_REVISION "0")
 SET(BPPPOPGEN_VERSION_AGE "0")
 
 # Effective version number computation
@@ -103,9 +103,9 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-popgen")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.1.0")
+SET(CPACK_PACKAGE_VERSION "2.2.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "2")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")

=== debian/changelog ===
libbpp-popgen (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add watch file
  * Better description
  * Moved packaging to Git
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * debhelper 9
  * DEP5
  * Source package in Section: science
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791096

 -- Andreas Tille <tille@debian.org>  Thu, 21 Apr 2016 14:18:27 +0200

=== debian/control ===
Source: libbpp-popgen
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               libbpp-core-dev (>= 2.2.0),
               libbpp-seq-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-popgen.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-popgen.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-popgen-dev
Architecture: any
Section: libdevel
Depends: libbpp-popgen6v5 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-core-dev (>= 2.2.0),
         libbpp-seq-dev (>= 2.2.0)
Description: Bio++ Population Genetics library development files
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the static library and the header files of the
 Bio++ Population Genetics classes.

Package: libbpp-popgen6v5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: libbpp-popgen6
Replaces: libbpp-popgen6
Description: Bio++ Population Genetics library
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the dynamic library of the Bio++ Population
 Genetics classes.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --v5 \
		    --devunversioned \
		    --override s/libbpp-core2-dev/libbpp-core-dev/ \
		    --override s/libbpp-seq9-dev/libbpp-seq-dev/ \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    debian/tmp/usr/lib/*.so

=== debian/watch ===
version=3

http://biopp.univ-montp2.fr/Repositories/sources/ bpp-popgen-(\d[\d.]+)\.tar\.gz

## libbpp-popgen 2.3.1

=== CMakeLists.txt ===
# CMake script for Bio++ Population Genetics Library
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 21/08/2009

cmake_minimum_required (VERSION 2.8.11)
project (bpp-popgen CXX)

# Compile options
set (CMAKE_CXX_FLAGS "-std=c++11 -Wall -Weffc++ -Wshadow -Wconversion")

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(${PROJECT_NAME}_VERSION_CURRENT "7")
SET(${PROJECT_NAME}_VERSION_REVISION "0")
SET(${PROJECT_NAME}_VERSION_AGE "0")

# Effective version number computation
MATH(EXPR ${PROJECT_NAME}_VERSION_MAJOR "${${PROJECT_NAME}_VERSION_CURRENT} - ${${PROJECT_NAME}_VERSION_AGE}")
SET(${PROJECT_NAME}_VERSION_MINOR ${${PROJECT_NAME}_VERSION_AGE})
SET(${PROJECT_NAME}_VERSION_PATCH ${${PROJECT_NAME}_VERSION_REVISION})
SET(${PROJECT_NAME}_VERSION "${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH}")

set (PROJECT_VERSION ${${PROJECT_NAME}_VERSION})

# Find dependencies (add install directory to search)
if (CMAKE_INSTALL_PREFIX)
  set (CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif (CMAKE_INSTALL_PREFIX)

include (GNUInstallDirs)
find_package (bpp-seq 11.0.0 REQUIRED)

# CMake package
set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
include (CMakePackageConfigHelpers)
configure_package_config_file (
  package.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/package.cmake
  INSTALL_DESTINATION ${cmake-package-location}
  )
write_basic_package_version_file (
  ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY SameMajorVersion
  )
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config.cmake)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config-version.cmake)

# Define the libraries
add_subdirectory (src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-popgen")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.3.1")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "3")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
# /!\ This assumes that an external build is used
SET(CPACK_SOURCE_IGNORE_FILES 
       "/build/" 
       "/\\\\.git/" 
       "/\\\\.gitignore" 
       ${CPACK_SOURCE_IGNORE_FILES}
       )

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist)

ENDIF()
ENDIF(NOT NO_DEP_CHECK)

=== debian/changelog ===
libbpp-popgen (2.3.1-5) unstable; urgency=medium

  * Rebuild with gcc-7
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 21:29:25 +0200

libbpp-popgen (2.3.1-4) unstable; urgency=medium

  * Removed postinst scripts. 

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 18 Jul 2017 10:26:12 +0200

libbpp-popgen (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
    Closes: #865900
  * d-shlibs (>= 0.80) contains needed override
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 10:24:49 +0200

libbpp-popgen (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 18:50:50 +0200

libbpp-popgen (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github
  * debhelper 10
  * Adapt package names to soversion change
  * Hardening

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 22:59:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
-               d-shlibs,
-               libbpp-core-dev (>= 2.2.0),
-               libbpp-seq-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               d-shlibs (>= 0.80),
+               libbpp-core-dev (>= 2.3.1),
+               libbpp-seq-dev (>= 2.3.1)
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-popgen.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-popgen.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -17,10 +17,10 @@
 Package: libbpp-popgen-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-popgen6v5 (= ${binary:Version}),
+Depends: libbpp-popgen7 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.2.0),
-         libbpp-seq-dev (>= 2.2.0)
+         libbpp-core-dev (>= 2.3.1),
+         libbpp-seq-dev (>= 2.3.1)
 Description: Bio++ Population Genetics library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -31,15 +31,13 @@
  This package contains the static library and the header files of the
  Bio++ Population Genetics classes.
 
-Package: libbpp-popgen6v5
+Package: libbpp-popgen7
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Conflicts: libbpp-popgen6
-Replaces: libbpp-popgen6
 Description: Bio++ Population Genetics library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

## libbpp-popgen 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #           library implements.
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
-SET(${PROJECT_NAME}_VERSION_CURRENT "7")
+SET(${PROJECT_NAME}_VERSION_CURRENT "8")
 SET(${PROJECT_NAME}_VERSION_REVISION "0")
 SET(${PROJECT_NAME}_VERSION_AGE "0")
 
@@ -53,7 +53,7 @@
 endif (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-seq 11.0.0 REQUIRED)
+find_package (bpp-seq 12.0.0 REQUIRED)
 
 # CMake package
 set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
@@ -95,10 +95,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-popgen")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.3.1")
+SET(CPACK_PACKAGE_VERSION "2.4.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -107,6 +107,8 @@
 # /!\ This assumes that an external build is used
 SET(CPACK_SOURCE_IGNORE_FILES 
        "/build/" 
+       "/html/" 
+       "/PopGen.tag" 
        "/\\\\.git/" 
        "/\\\\.gitignore" 
        ${CPACK_SOURCE_IGNORE_FILES}

=== debian/changelog ===
libbpp-popgen (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64
    Closes: #895213
  
  [ Andreas Tille ]
  * Provide full license text of CeCILL license
  * Point Vcs fields to salsa.debian.org

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 18:40:50 +0200

libbpp-popgen (2.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 27 Mar 2018 21:46:45 +0200

libbpp-popgen (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 06 Feb 2018 13:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.3.1),
-               libbpp-seq-dev (>= 2.3.1)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-popgen.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-popgen.git
+               libbpp-core-dev (>= 2.4.0),
+               libbpp-seq-dev (>= 2.4.0)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-popgen
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-popgen.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-popgen-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-popgen7 (= ${binary:Version}),
+Depends: libbpp-popgen8 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.3.1),
-         libbpp-seq-dev (>= 2.3.1)
+         libbpp-core-dev (>= 2.4.0),
+         libbpp-seq-dev (>= 2.4.0)
 Description: Bio++ Population Genetics library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -31,13 +31,13 @@
  This package contains the static library and the header files of the
  Bio++ Population Genetics classes.
 
-Package: libbpp-popgen7
+Package: libbpp-popgen8
 Architecture: any
+Multi-Arch: same
 Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
 Description: Bio++ Population Genetics library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

## libbpp-popgen 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -95,10 +95,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-popgen")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.4.0")
+SET(CPACK_PACKAGE_VERSION "2.4.1")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "4")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")

=== src/CMakeLists.txt ===
# CMake script for Bio++ PopGen
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 21/08/2009

# File list
set (CPP_FILES
  Bpp/PopGen/BasicAlleleInfo.cpp
  Bpp/PopGen/BiAlleleMonolocusGenotype.cpp
  Bpp/PopGen/DataSet/AnalyzedLoci.cpp
  Bpp/PopGen/DataSet/AnalyzedSequences.cpp
  Bpp/PopGen/DataSet/DataSet.cpp
  Bpp/PopGen/DataSet/DataSetTools.cpp
  Bpp/PopGen/DataSet/Date.cpp
  Bpp/PopGen/DataSet/Group.cpp
  Bpp/PopGen/DataSet/Individual.cpp
  Bpp/PopGen/DataSet/Io/AbstractIDataSet.cpp
  Bpp/PopGen/DataSet/Io/AbstractODataSet.cpp
  Bpp/PopGen/DataSet/Io/Darwin/DarwinDon.cpp
  Bpp/PopGen/DataSet/Io/Darwin/DarwinVarSingle.cpp
  Bpp/PopGen/DataSet/Io/GeneMapper/GeneMapperCsvExport.cpp
  Bpp/PopGen/DataSet/Io/Genepop/Genepop.cpp
  Bpp/PopGen/DataSet/Io/Genetix/Genetix.cpp
  Bpp/PopGen/DataSet/Io/PopgenlibIO.cpp
  Bpp/PopGen/DataSet/MultiSeqIndividual.cpp
  Bpp/PopGen/GeneralExceptions.cpp
  Bpp/PopGen/LocusInfo.cpp
  Bpp/PopGen/MonoAlleleMonolocusGenotype.cpp
  Bpp/PopGen/MonolocusGenotypeTools.cpp
  Bpp/PopGen/MultiAlleleMonolocusGenotype.cpp
  Bpp/PopGen/MultilocusGenotype.cpp
  Bpp/PopGen/MultilocusGenotypeStatistics.cpp
  Bpp/PopGen/PolymorphismMultiGContainer.cpp
  Bpp/PopGen/PolymorphismMultiGContainerTools.cpp
  Bpp/PopGen/PolymorphismSequenceContainer.cpp
  Bpp/PopGen/PolymorphismSequenceContainerTools.cpp
  Bpp/PopGen/SequenceStatistics.cpp
  )

# Build the static lib
add_library (${PROJECT_NAME}-static STATIC ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-static PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-static PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
target_link_libraries (${PROJECT_NAME}-static ${BPP_LIBS_STATIC})

# Build the shared lib
add_library (${PROJECT_NAME}-shared SHARED ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-shared PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-shared
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME}
  MACOSX_RPATH 1
  VERSION ${${PROJECT_NAME}_VERSION}
  SOVERSION ${${PROJECT_NAME}_VERSION_MAJOR}
  )
target_link_libraries (${PROJECT_NAME}-shared ${BPP_LIBS_SHARED})

# Install libs and headers
install (
  TARGETS ${PROJECT_NAME}-static ${PROJECT_NAME}-shared
  EXPORT ${PROJECT_NAME}-targets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )
install (
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/Bpp
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  FILES_MATCHING PATTERN "*.h"
  )
# Install cmake file representing targets
install (EXPORT ${PROJECT_NAME}-targets DESTINATION ${cmake-package-location})

=== debian/changelog ===
libbpp-popgen (2.4.1-8) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2022 22:11:40 +0100

libbpp-popgen (2.4.1-7) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * d/libbpp-popgen8.symbols.amd64: mark compiler specific symbols optional.
    (Closes: #1012969)

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Aug 2022 07:01:14 +0200

libbpp-popgen (2.4.1-6) unstable; urgency=medium

  * Fix symbols again
    Closes: #997447

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 14:12:39 +0100

libbpp-popgen (2.4.1-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Fix ftbfs with GCC-11
    Closes: #984091
  * Drop unneeded versioned Depends

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 17:26:05 +0200

libbpp-popgen (2.4.1-4) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update symbols for gcc-10
    Closes: #957427

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 11:58:51 +0200

libbpp-popgen (2.4.1-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Wrap long lines in changelog entries: 1.5.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Fix symbols file
    Closes: #952248

 -- Andreas Tille <tille@debian.org>  Mon, 24 Feb 2020 11:13:06 +0100

libbpp-popgen (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooij]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Julien Dutheil ]
  * d-shlibs (>= 0.82)
  * Easier amd64 symbol file management

  [ Andreas Tille ]
  * Rebuild for new version of gcc to fix symbols
    Closes: #925733
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Aug 2019 08:20:43 +0200

libbpp-popgen (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #897782

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Wed, 22 Aug 2018 22:22:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,26 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.4.0),
-               libbpp-seq-dev (>= 2.4.0)
-Standards-Version: 4.1.3
+               d-shlibs,
+               libbpp-core-dev,
+               libbpp-seq-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libbpp-popgen
 Vcs-Git: https://salsa.debian.org/med-team/libbpp-popgen.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-popgen-dev
 Architecture: any
 Section: libdevel
 Depends: libbpp-popgen8 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.4.0),
-         libbpp-seq-dev (>= 2.4.0)
+         ${devlibs:Depends},
+         libbpp-core-dev,
+         libbpp-seq-dev
+Multi-Arch: same
 Description: Bio++ Population Genetics library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    --movedev debian/tmp/usr/lib/*/cmake usr/lib/$(DEB_HOST_MULTIARCH) \
                    debian/tmp/usr/lib/*/*.so

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/BioPP/bpp-popgen/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
